package ejb30.persistence.datatypes.ejb;

/*
import javax.persistence.AccessType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratorType;
import javax.persistence.Id;
import javax.persistence.Table;
*/
import javax.persistence.*;
import java.util.*;

@Entity
@Table(name = "DATATYPES")
public class DataTypes implements java.io.Serializable{
    
    private int id;
    private Integer integerData;       
    private byte[] blobData;
    private String clobData;

    /*
     *
     *..and so it will continue with all remaining fields
     **/
    
    public DataTypes()
    {
    }
    
    public DataTypes(int id, Integer integerData, String clobData, byte[] blobData)
    {
	this.id = id;
        this.integerData = integerData;
	this.blobData = blobData;
	this.clobData = clobData;
    }

   @Id
   @Column(name="ID")
   public int getId()
   {
      return id;
   }

   public void setId(int id)
   {
      this.id= id;
   }
   
   @Lob
   @Column(name = "BLOBDATA")
   public byte[] getBlobData(){
       return blobData;
   }

    public  void setBlobData(byte[] blobData)
   {
      this.blobData = blobData;
   }

   @Lob
   @Column(name = "CLOBDATA")
   public String getClobData(){
       return clobData;
   }

    public  void setClobData(String clobData)
   {
      this.clobData = clobData;
   }

    @Column(name = "INTEGERDATA")
    public  Integer getIntegerData(){
        return integerData;
    }

   public  void setIntegerData(Integer integerData)
   {
      this.integerData = integerData;
   }
    
}
